Bug 74209 - su doesn't set PAM_TTY
su doesn't set PAM_TTY
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-09-17 17:30 EDT by Jason Heiss
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-10 07:35:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Heiss 2002-09-17 17:30:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
su doesn't set PAM_TTY, which causes PAM modules that check PAM_TTY
(pam_access is the one we're having trouble with) to fail.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Add a module to /etc/pam.d/system-auth which requires PAM_TTY to be set (and
set debug on for pam_stack in /etc/pam.d/su)
2.  Run su
3.  Get su: incorrect password
4.  Look in logs and see:

Sep 17 13:52:00 www pam_stack[19372]: NOT passing PAM_TTY to parent: source is NULL
Sep 17 13:52:00 www pam_access[26690]: couldn't get the tty name

Additional info:
Comment 1 Tim Waugh 2004-12-10 07:35:21 EST
Can't reproduce this now.  Although PAM_TTY isn't set, I don't see the error,
and su works fine.

Note You need to log in before you can comment on or make changes to this bug.